
###
### Editor Class
###
package Editor;

use Tk;

local $TEXT;

###
### $editor = Editor->new($topwindow) - Neuer Editor
###
sub new {
    my($type, $parentwin) = @_;

    my $self = {};
                                            
    $self->{'parentwin'}   = $parentwin;

    bless($self, $type);
}


###
### $editor->start("File", "Line", "Error") - Editor anzeigen
###
sub start {
    my $self     = shift;
    my $file    = shift;
	my $line	 = shift;
    my $error  = shift;

    $self->{'topwin'} = $self->{'parentwin'}->Toplevel();

    $self->{'topwin'}->configure(-title => "$file");

	if ($error) {
	 $self->{'topwin'}->Label(-text => "*** $error ***", -foreground => "red")->pack(-side => 'top'); 
	}

	my $text_frame = $self->{'topwin'}->Frame();
	$TEXT = $text_frame->Text(-borderwidth => 2, -setgrid => 1, -wrap => 'none',
							-background => "white", -height => 30,
							-state => "normal");
	my $yscrollbar = $text_frame->Scrollbar(-command => [yview => $TEXT]);
	my $xscrollbar = $text_frame->Scrollbar(-orient => 'horizontal',
												  -command => [xview => $TEXT]);
	$TEXT->configure(-yscrollcommand => [set => $yscrollbar]);
	$TEXT->configure(-xscrollcommand => [set => $xscrollbar]);
	
	$yscrollbar->pack(-side => 'right', -fill => 'y');
	$TEXT->pack(-side => 'top');
	$xscrollbar->pack(-side => 'top', -fill => 'x');

	$text_frame->pack(-side => 'top');
    $self->{'topwin'}->Button(-text => "Sichern", 
      -command => sub { \&savefile($file) })->pack(-side => 'left');

    $self->{'topwin'}->Button(-text => "Schlieen", 
      -command => sub { $self->{'topwin'}->destroy() } 
                             )->pack(-side => 'right');
	&loadfile($file);
	if ($line) {
		$TEXT->tag("add","error","$line.0","$line.end");
		$TEXT->tag("configure","error", -foreground => "red");
	}
}

sub loadfile {
my $file = shift;
	
  open(FILE, $file) || return 0;
  $TEXT->delete("1.0", "end");
  while(<FILE>) {
  	$TEXT->insert("end", $_);
  }
  close(FILE);

}

sub savefile {
my $file = shift;

  open(FILE, ">$file") || return 0;
  my @lines = $TEXT->get("1.0", "end");
  print FILE @lines;
  close(FILE);

}
    
1;
