# @command IMAGEREF
# @title   Verweis auf {\tt \#IMAGE}-Element einf"ugen
# @index   
# @syntax  \#IMAGEREF\{label\}
# @desc    F"ugt einen Verweis auf ein {\tt \#IMAGE}-Objekt ein.
# @example_begin
#   #IMAGEREF{bild1}
# @example_end
#
#   @optname label
#     Das Label des zu referenzierenden {\tt \#IMAGE}-Objektes.
#
# @command SHOWREF
# @title   Verweis auf {\tt \#SHOW}-Element einf"ugen
# @index   
# @syntax  \#SHOWREF\{label\}
# @desc    F"ugt einen Verweis auf eine {\tt \#SHOW}-Umgebung ein.
# @example_begin
#   #SHOWREF{show1}
# @example_end
#
#   @optname label
#     Das Label der zu referenzierenden {\tt \#SHOW}-Umgebung.
#
# @end

# Mas2TeX-Befehle definieren
$MANAGEFUNKTION->{IMAGEREF}  = \&ref_work;
$MANAGEFUNKTION->{SHOWREF}   = \&ref_work;

# Referenzen in einem Master-Dokument einbinden
sub ref_work {
  my $COMMAND = shift;
  my $label_name = shift;      # die Label
  my $img_mark;

  # Das Bild fuer die Referenz finden
  if ($main::COPY_SOURCE||$main::LOCAL_ICONS) {
    $img_mark = "./$main::icons{'cross_ref'}";
  } else {
    $img_mark = "$main::ICONSERVER/$main::icons{'cross_ref'}";
  }

  if ($COMMAND eq "IMAGEREF") {
    &main::write_to_texfile("\\ref{$label_name}\n") if ($label_name);
  } elsif ($COMMAND eq "SHOWREF") {
    &main::write_to_texfile("\\ref{$label_name}\n") if ($label_name);
  }
}

1;
