# @command STOP
# @title   Beenden des Master-Dokumentes
# @index   
# @syntax  \#STOP\{\}
# @desc    Der {\tt \#STOP}-Befehl erlaubt es, ein Master-Dokument an einer
#          beliebigen Stelle zu unterbrechen. Alles, was nach diesem Befehl
#          steht, wird ignoriert. Damit lassen sich gro"se Dokumente in
#          St"ucken "ubersetzen. Die erzeugte \TeX-Datei l"auft ohne
#          Probleme durch \LaTeXe.
# @example_begin
#   ... 
#   #STOP{} 
#   Ab dieser Stelle wird alles ignoriert. 
#   ... 
# @example_end
#
# @end

# Mas2TeX-Befehle definieren
$MANAGEFUNKTION->{STOP}      = \&stop_work;

# Stoppt Master-Dokument an der belibiger Stelle
sub stop_work {
  package stop;

  my $COMMAND = shift @_;
  print main::OUT "% *** Master-Generator - STOP ***\n";
  print main::OUT "\\end{document}\n";
  &main::my_print("+++ STOP +++\n");
  &main::my_stop;
}

1;
